Subject: How to define a new Distinguished Name (DN) attribute ?

From: Juan Carlos Pérez Aguayo <[email-masked]>
Date: Tue, 29 Aug 2000 12:37:53 -0400

Can I define a new DN attribute, for using in the Subject or Issuer of a
certificate?

By example, can I say this in the DN?: "O= My company, OU=My Dept. , XX=...,
C=.."

Can I say XX=.... ? Here XX mean my own attribute...

I understand that the attribute names (as O , OU, DN ..) have OID assigned
in a standarized fashion (X.208 ?), but I don`t know  if I can assign my own
OID for my private attribute (i.e XX).

The DN attribute names are ONLY thoses standards(O, OU, C, ...) ?

If I could register my own attribute name and OID, the browsers (o
client-certificate validators) could validate those too ?

Thanks

Juan Carlos